> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payment

> Returns a single developer payment. Session-backed gateways can include `checkout_url` and `session_id` when Shoppex created the provider session.



## OpenAPI

````yaml /openapi.json get /dev/v1/payments/{uniqid}
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/payments/{uniqid}:
    get:
      tags:
        - Payments
      summary: Get payment
      description: >-
        Returns a single developer payment. Session-backed gateways can include
        `checkout_url` and `session_id` when Shoppex created the provider
        session.
      operationId: getDevV1PaymentsByUniqid
      parameters:
        - name: uniqid
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: object
                    required:
                      - id
                      - uniqid
                      - type
                      - shop_id
                      - customer_id
                      - currency
                      - gateway
                      - flow_type
                      - provider_reference
                      - provider_reference_type
                      - blockchain
                      - apm_method
                      - crypto_address
                      - crypto_amount
                      - crypto_received
                      - crypto_uri
                      - crypto_confirmations_needed
                      - crypto_payment_txid
                      - product_id
                      - product_title
                      - product_type
                      - variant_title
                      - quantity
                      - total
                      - total_display
                      - balance_paid_amount
                      - exchange_rate
                      - crypto_exchange_rate
                      - customer_email
                      - custom_fields
                      - is_developer_invoice
                      - developer_title
                      - developer_webhook
                      - developer_return_url
                      - developer_cancel_url
                      - status
                      - items
                      - created_at
                      - updated_at
                    properties:
                      id:
                        type: string
                      uniqid:
                        type: string
                      type:
                        type: string
                      shop_id:
                        type: string
                      customer_id:
                        type: string
                        nullable: true
                      currency:
                        type: string
                      gateway:
                        type: string
                        nullable: true
                      flow_type:
                        type: string
                        nullable: true
                      provider_reference:
                        type: string
                        nullable: true
                      provider_reference_type:
                        type: string
                        nullable: true
                      blockchain:
                        type: string
                        nullable: true
                      apm_method:
                        type: string
                        nullable: true
                      crypto_gateway:
                        type: string
                      crypto_address:
                        type: string
                        nullable: true
                      crypto_amount:
                        type: number
                      crypto_received:
                        type: number
                      crypto_uri:
                        type: string
                        nullable: true
                      crypto_confirmations_needed:
                        type: number
                      crypto_payment_txid:
                        type: string
                        nullable: true
                      payment_id:
                        type: string
                      expires_at:
                        type: string
                      product_id:
                        type: string
                        nullable: true
                      product_title:
                        type: string
                        nullable: true
                      product_type:
                        type: string
                        nullable: true
                      variant_title:
                        type: string
                        nullable: true
                      quantity:
                        type: number
                      total:
                        type: number
                      total_display:
                        type: number
                      balance_paid_amount:
                        type: number
                      exchange_rate:
                        type: number
                      crypto_exchange_rate:
                        type: number
                      customer_email:
                        type: string
                        nullable: true
                      custom_fields:
                        type: object
                        nullable: true
                        additionalProperties:
                          type: object
                          additionalProperties: true
                      is_developer_invoice:
                        type: boolean
                      developer_title:
                        type: string
                        nullable: true
                      developer_webhook:
                        type: string
                        nullable: true
                      developer_return_url:
                        type: string
                        nullable: true
                      developer_cancel_url:
                        type: string
                        nullable: true
                      status:
                        type: string
                      items:
                        type: array
                        items:
                          type: object
                          required:
                            - product_id
                            - product_title
                            - product_type
                            - variant_title
                            - quantity
                            - unit_price
                            - total
                          properties:
                            product_id:
                              type: string
                              nullable: true
                            product_title:
                              type: string
                            product_type:
                              type: string
                            variant_title:
                              type: string
                              nullable: true
                            quantity:
                              type: number
                            unit_price:
                              type: number
                            total:
                              type: number
                          additionalProperties: true
                      created_at:
                        type: number
                      updated_at:
                        type: number
                      gateways:
                        type: array
                        items:
                          type: string
                      checkout_url:
                        type: string
                      session_id:
                        type: string
                    additionalProperties: true
                additionalProperties: true
                example:
                  data:
                    id: inv_db_1
                    uniqid: 33333333-3333-4333-8333-333333333333
                    type: PAYMENT
                    shop_id: shop_1
                    customer_id: cus_1
                    currency: USD
                    gateway: STRIPE
                    flow_type: PROVIDER_SESSION
                    provider_reference: pi_3
                    provider_reference_type: PAYMENT_INTENT
                    blockchain: null
                    apm_method: CARD
                    total: 24.99
                    total_display: 24.99
                    balance_paid_amount: 0
                    customer_email: buyer@example.com
                    crypto_payment_txid: null
                    status: PENDING
                    items:
                      - product_id: null
                        product_title: Card Payment
                        product_type: CUSTOM
                        variant_title: null
                        quantity: 1
                        unit_price: 24.99
                        total: 24.99
                    created_at: 1711510800
                    updated_at: 1711510860
        '401':
          description: Response for status 401
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: object
                    required:
                      - code
                      - message
                      - doc_url
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      doc_url:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          required:
                            - field
                            - message
                          properties:
                            field:
                              type: string
                            message:
                              type: string
                          additionalProperties: true
                      subcode:
                        type: string
                    additionalProperties: true
                additionalProperties: true
        '403':
          description: Response for status 403
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: object
                    required:
                      - code
                      - message
                      - doc_url
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      doc_url:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          required:
                            - field
                            - message
                          properties:
                            field:
                              type: string
                            message:
                              type: string
                          additionalProperties: true
                      subcode:
                        type: string
                    additionalProperties: true
                additionalProperties: true
        '404':
          description: Response for status 404
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: object
                    required:
                      - code
                      - message
                      - doc_url
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      doc_url:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          required:
                            - field
                            - message
                          properties:
                            field:
                              type: string
                            message:
                              type: string
                          additionalProperties: true
                      subcode:
                        type: string
                    additionalProperties: true
                additionalProperties: true
        '422':
          description: Response for status 422
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: object
                    required:
                      - code
                      - message
                      - doc_url
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      doc_url:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          required:
                            - field
                            - message
                          properties:
                            field:
                              type: string
                            message:
                              type: string
                          additionalProperties: true
                      subcode:
                        type: string
                    additionalProperties: true
                additionalProperties: true
        '429':
          description: Response for status 429
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: object
                    required:
                      - code
                      - message
                      - doc_url
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      doc_url:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          required:
                            - field
                            - message
                          properties:
                            field:
                              type: string
                            message:
                              type: string
                          additionalProperties: true
                      subcode:
                        type: string
                    additionalProperties: true
                additionalProperties: true
        '500':
          description: Response for status 500
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    required:
                      - error
                    properties:
                      error:
                        type: object
                        required:
                          - code
                          - message
                          - doc_url
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          doc_url:
                            type: string
                          details:
                            type: array
                            items:
                              type: object
                              required:
                                - field
                                - message
                              properties:
                                field:
                                  type: string
                                message:
                                  type: string
                              additionalProperties: true
                          subcode:
                            type: string
                        additionalProperties: true
                    additionalProperties: true
                  - type: object
                    required:
                      - status
                      - data
                      - error
                      - message
                      - log
                      - env
                    properties:
                      status:
                        type: integer
                      data:
                        nullable: true
                      error:
                        type: string
                      message:
                        type: string
                        nullable: true
                      log:
                        nullable: true
                      env:
                        type: string
                    additionalProperties: true
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````